System 2.0.0.0 4.0.0.0 System.Security.Cryptography.X509Certificates.X509Extension

The class uses the flags in the enumeration to define or determine key usage.

Defines the usage of a key contained within an X.509 certificate. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor if the information to create the extension is already in an object.

  Initializes a new instance of the class using an object and a value that identifies whether the extension is critical.

  The encoded data to use to create the extension.
  true if the extension is critical; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified value and a value that identifies whether the extension is critical.

  One of the values that describes how to use the key.
  true if the extension is critical; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added.

  Initializes a new instance of the class using an object.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags To be added.

  This property returns a value from the enumeration that indicates how to use the certificate key.

  Gets the key usage flag associated with the certificate.